Bug 427461 - epiphany aborts after xulrunner update
epiphany aborts after xulrunner update
Status: CLOSED DUPLICATE of bug 356731
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
: 427784 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 17:41 EST by Joachim Frieben
Modified: 2008-01-07 11:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-04 03:45:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2008-01-03 17:41:58 EST
Description of problem:
After upgrading to the latest xulrunner package from koji, current
epiphany stops to work. An error box pops up complaining:

  "Epiphany can't be used now. Mozilla initialization failed."

Version-Release number of selected component (if applicable):
xulrunner-1.9-0.beta2.6.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Upgrade to latest xulrunner package.
2. Launch epiphany.
  
Actual results:
epiphany aborts launch process.

Expected results:
epiphany starts up as expected.

Additional info:
Already broken in xulrunner-1.9-0.beta2.5.fc9 but works in previous
version xulrunner-1.9-0.beta2.4.fc9.
Comment 1 Joachim Frieben 2008-01-03 17:46:20 EST
When launched from the shell, the following warning is issued 

  "** (epiphany:XXXX): WARNING **: Could not determine locale!"

which is absent for the last working xulrunner package.
Comment 2 Martin Stransky 2008-01-04 03:38:21 EST
Some symbols seem to be missing in the latest xulrunner trunk:

/home/komat/CVS/epiphany/devel/epiphany-2.21.5/embed/mozilla/mozilla-embed-single.cpp:680:
undefined reference to `gtk_moz_embed_set_directory_service_provider'
/home/komat/CVS/epiphany/devel/epiphany-2.21.5/embed/mozilla/EphyBrowser.cpp:576:
undefined reference to `gtk_moz_embed_get_nsIWebBrowser'
/home/komat/CVS/epiphany/devel/epiphany-2.21.5/embed/mozilla/EphyFind.cpp:91:
undefined reference to `gtk_moz_embed_get_nsIWebBrowser'
Comment 3 Martin Stransky 2008-01-04 03:45:39 EST

*** This bug has been marked as a duplicate of 356731 ***
Comment 4 Christopher Aillon 2008-01-07 11:51:52 EST
*** Bug 427784 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.